Skip to main content
GET
https://api.rankspot.ai
/
v1
/
topics
List topics
curl --request GET \
  --url https://api.rankspot.ai/v1/topics \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "total": 100,
    "offset": 0,
    "limit": 100,
    "count": 10,
    "items": [
      {
        "id": "clx...",
        "title": "How to Start a Blog in 2024",
        "status": "planned",
        "keywords": [
          {
            "id": "clx...",
            "keyword": "start a blog"
          }
        ],
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "description": "A comprehensive guide for beginners.",
        "additionalInstructions": "Focus on WordPress.",
        "position": 1,
        "categoryId": "clx...",
        "articleId": "clx..."
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

offset
number
default:0
Required range: x >= 0
limit
number
default:20
Required range: 1 <= x <= 100

Search by title or description substring

status
enum<string>

Filter by status

Available options:
planned,
generating,
generated
categoryId
string

Filter by category ID

Response

200 - application/json
data
object